---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - d19d0722-dc4f-53e7-8343-5a02b0fb53f0
      tier: AATSR_CMP_MONTH
      value: 0.06653351336717606
    brdf:
      alpha_1:
        band_1: 0.320831303609898
        band_11: 0.465841492764404
        band_12: 0.31499668636049577
        band_2: 0.32065694937154365
        band_3: 0.3799165263860905
        band_4: 0.3129106669855894
        band_5: 0.3129026105684758
        band_6: 0.31289893479951525
        band_7: 0.7139736608862576
        band_8: 0.7142333839860348
        band_8a: 0.7139974563622256
      alpha_2:
        band_1: 0.20967553295373106
        band_11: 0.11515263522831609
        band_12: 0.15277971171336313
        band_2: 0.20977913094646217
        band_3: 0.2029491504095219
        band_4: 0.20413595271264948
        band_5: 0.20409135647651935
        band_6: 0.20406614784150542
        band_7: 0.08953102018833352
        band_8: 0.08954167092121727
        band_8a: 0.08951840803536044
      id:
      - 0cfdb5bf-5850-5b23-8d22-cb83834b6bb2
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8770d769-6332-5aaa-8105-f9329c878a9c
      tier: DEFINITIVE
      value: 0.313
    water_vapour:
      id:
      - eb452743-714f-53a7-a214-eee4c5d5e93e
      tier: DEFINITIVE
      value: 1.4199999809265138
  id: 2c1be936-181e-4f25-a8a7-a022ed130afe
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1896.5895666569747
      BAND-11: 233.22471431153448
      BAND-12: 81.59728049122933
      BAND-2: 1947.1675608277956
      BAND-3: 1824.688414715629
      BAND-4: 1489.4680588875
      BAND-5: 1375.2088112238775
      BAND-6: 1257.328656692925
      BAND-7: 1155.7487190384945
      BAND-8: 1016.1703920001711
      BAND-8A: 926.3690285386077
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-08-14 02:26:54.929679Z
    atime: 2022-08-01 03:40:44Z
    ctime: 2020-08-14 15:47:14Z
    mtime: 2020-08-14 15:47:09Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2020/2020-08/30S115E-35S120E/S2B_MSIL1C_20200814T021349_N0209_R060_T50HMJ_20200814T054011.zip
  system_information:
    hostname: gadi-cpu-clx-2031.gadi.nci.org.au
    runtime_id: b8feb75e-114b-11ed-b84b-00000189fe80
    time_processed: 2022-08-01 03:40:44.226016Z
    uname: 'Linux gadi-cpu-clx-2031.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 18.0
    green: 429.0
    red: 14.0
    teal: 91.0
    yellow: 5.0
  error_message: no errors
  final_qa_count: 525
  granule: S2B_OPER_MSI_L1C_TL_VGS1_20200814T054011_A017961_T50HMJ_N02.09
  ref_date: '2013-10-22T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/112/082/LC81120822013295LGN00_B6.TIF
  residual:
    abs:
      x: 0.35
      xy: 0.55
      y: 0.42
    abs_iterative_mean:
      x: 0.23
      xy: 0.34
      y: 0.25
    cep90: 0.57
    iterative_mean:
      x: 0.19
      xy: 0.3
      y: -0.22
    iterative_stddev:
      x: 0.19
      xy: 0.28
      y: 0.21
    mean:
      x: 0.17
      xy: 0.23
      y: -0.15
    stddev:
      x: 0.79
      xy: 1.32
      y: 1.05
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 52.4222499433947
    cloud: 37.574464812860725
    cloud_shadow: 9.42071626003409
    snow: 0.3016486028101864
    water: 0.280920380900302
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 39.81858395854138
    cloud: 60.18141604145861
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
